Subtask with empty start date results in internal error

2012-04-12 13:35 - Marek Hulan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.3.2

Description

When I try to create or update existing issue which is has a parent issue and I leave blank start date I receive 500 Internal server

error.

Attaching backtrace

NoMethodError (undefined method `>' for nil:NilClass):

  app/models/issue.rb:838:in `recalculate_attributes_for'

  app/models/issue.rb:802:in `update_parent_attributes'

  app/models/issue.rb:838:in `recalculate_attributes_for'

  app/models/issue.rb:802:in `update_parent_attributes'

  app/models/issue.rb:636:in `save_issue_with_child_records'

  app/models/issue.rb:620:in `save_issue_with_child_records'

  app/controllers/issues_controller.rb:180:in `update'

  passenger (3.0.2) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.2) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_n

ext_request'

  passenger (3.0.2) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_reque

st_handler'

  passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

  passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spaw

n_application'

  passenger (3.0.2) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spaw

n_application'

  passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.2) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

  passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

  passenger (3.0.2) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

  passenger (3.0.2) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

  passenger (3.0.2) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

  passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

  passenger (3.0.2) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.2) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.2) helper-scripts/passenger-spawn-server:99

Rendering /var/www/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2012-04-14 09:25 - Jean-Philippe Lang

- Resolution set to Cant reproduce
Line app/models/issue.rb:838 in 1.3.2 can't raise this error. This is a comment line:

source:/tags/1.3.2/app/models/issue.rb#L838

And I don't see any > comparaison in #recalculate_attributes_for. Any local changes?

#2 - 2012-04-24 07:33 - Marek Hulan

- Status changed from New to Resolved

Yes but not in issue.rb and I think it's nothing connected to issue. However I'll dig deeper if I'll need to fix it, feel free to close this issue until I find out.

#3 - 2012-05-12 14:29 - Jean-Philippe Lang

- Status changed from Resolved to Closed

OK, thanks for the feedback.
